2019-03-22 00:19:33 UTC
49.2 MB
test
DOCKER_VERSION18.09.4-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:8e402f1a9c577ded051c1ef10e9fe4492890459522089959988a4852dee8ab2c - 5.34% (2.63 MB)
[#001] sha256:ce7779d8bfe3415e27ec3bf5950b2ab67a854c608595f0f2e49066fb5806fd12 - 0.59% (295 KB)
[#002] sha256:de1a1e452942df2228b914d2ce9be43f18b137f4ebc3dce9491bc08c2630a2ea - 0.0% (154 Bytes)
[#003] sha256:d4586ec4a945d1a41385c81666da5b36bfcf49cd4cfaca37419a123f152cec6e - 94.07% (46.3 MB)
[#004] sha256:db6161a0aecc6c86babc0a0feaf92b1a3a8ac83a697cf2a861199533486a48f8 - 0.0% (544 Bytes)
[#005] sha256:3cabc50bba0a02050eb0f10cff71baeed0843611ad179bdd5625ace8b73423d4 - 0.0% (738 Bytes)
/bin/sh -c #(nop) ADD file:88875982b0512a9d0ba001bfea19497ae9a9442c257b19c61bffc56e7201b0c3 in /
2019-03-07 22:19:40 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-03-07 23:17:18 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-03-07 23:17:19 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-03-22 00:19:27 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-03-22 00:19:28 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.4-rc1
2019-03-22 00:19:32 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-03-22 00:19:32 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-03-22 00:19:32 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-03-22 00:19:33 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-03-22 00:19:33 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-03-22 07:49:33 UTC
46.3 MB
test
DOCKER_VERSION18.09.4-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:d33b53ae0340b7490b486edd65310a4333d7e0057854aadd12a5006faf7fa576 - 5.23% (2.42 MB)
[#001] sha256:d04291196b792b79f87314db65da48b82e78a6379cc0057d47bc1f1fba30a4cd - 0.62% (295 KB)
[#002] sha256:cbce9f121c7371de1a407eb91454621b8de8780f1fa69282905bdf2bf1c65766 - 0.0% (154 Bytes)
[#003] sha256:3694df6e2ae6b62595ac9578635aecc8eabde1e637095a90b0377ea26dc498bd - 94.14% (43.6 MB)
[#004] sha256:8d79ed08cd8cb6cea59f3a6cb8652734362ba4f796558aaa1cfbe4f28a7dfd6d - 0.0% (543 Bytes)
[#005] sha256:1e1975d27d171901d852e225fbf98cf59ee494c5784379f345a54bc3dc45b880 - 0.0% (737 Bytes)
/bin/sh -c #(nop) ADD file:2bf8ccaacb388ca6271670ed8a86b8bc4450823156917d29d9d9ec0a07fd64a7 in /
2019-03-08 03:36:06 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-03-08 03:53:19 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-03-08 03:53:20 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-03-22 07:49:23 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-03-22 07:49:23 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.4-rc1
2019-03-22 07:49:31 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-03-22 07:49:32 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-03-22 07:49:33 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-03-22 07:49:33 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-03-22 07:49:33 UTC/bin/sh -c #(nop) CMD ["sh"]
2019-03-22 08:42:32 UTC
44.5 MB
test
DOCKER_VERSION18.09.4-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:3b00a3925ee4b356facd24aea8ece58982a66577023cb3596ce3a321aef976f9 - 5.76% (2.56 MB)
[#001] sha256:7809c1a4c8e2fd286895f69d067b1a68841f9311a5c0e1afc51e64e57d777919 - 0.65% (295 KB)
[#002] sha256:8c00b1d46f4493b4bfe8c94c6226da7c7c76820ecc2f4b70e6a482d4fdaaca34 - 0.0% (153 Bytes)
[#003] sha256:5bec09a410f511c8a5777e4d3d9953b4e267b29fafa3193ce0d027883df3c449 - 93.59% (41.6 MB)
[#004] sha256:3e5d4cfda82cdba6f666b856616d0a48dcef2e4f18c41fbe1377f6804b17c4ca - 0.0% (543 Bytes)
[#005] sha256:100a5c25c136b7f8605556a50fd905712941a0de9ebc8fd17f85b61a8647f629 - 0.0% (735 Bytes)
/bin/sh -c #(nop) ADD file:2e80d7b240ac8c544a868180a2a08b2533c450061e0ec276ceacaff7b87a380c in /
2019-03-08 03:37:02 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2019-03-08 04:18:47 UTC/bin/sh -c apk add --no-cache ca-certificates
2019-03-08 04:18:49 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2019-03-22 08:42:15 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2019-03-22 08:42:15 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.4-rc1
2019-03-22 08:42:29 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2019-03-22 08:42:30 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2019-03-22 08:42:30 UTC/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/
2019-03-22 08:42:31 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-03-22 08:42:32 UTC/bin/sh -c #(nop) CMD ["sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.